Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PySyntaxError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.python.core.PyException
                      org.python.core.PySyntaxError

All Implemented Interfaces:
  Serializable

    public class PySyntaxError

extends PyException

A convenience class for creating Syntax errors. Note that the syntax error is still taken from Py.SyntaxError.

Generally subclassing from PyException is not the right way of creating new exception classes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyException
`traceback, type, value`

Constructor Summary
`PySyntaxError(String s, int line, int column, String text, String filename)`

Method Summary

Methods inherited from class org.python.core.PyException
`doRaise, exceptionClassName, fillInStackTrace, isExceptionClass, isExceptionInstance, match, normalize, printStackTrace, printStackTrace, super__printStackTrace, toString, tracebackHere, tracebackHere`

Methods inherited from class java.lang.Throwable
`getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PySyntaxError

    public PySyntaxError(String s,
                         int line,
                         int column,
                         String text,
                         String filename)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage